Package org.eclipse.ui.dialogs

## Class YesNoCancelListSelectionDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.ui.dialogs.SelectionDialog
        - - org.eclipse.ui.dialogs.ListSelectionDialog
          - - org.eclipse.ui.dialogs.YesNoCancelListSelectionDialog

All Implemented Interfaces:
  `IShellProvider`

    @Deprecated
    public class YesNoCancelListSelectionDialog
    extends ListSelectionDialog

Deprecated.
Providing Cancel in addition to Yes/No is confusing. It is better to subclass the regular ListSelectionDialog, which uses OK/Cancel, and provide a separate checkbox if necessary.
YesNoCancelListSelectionDialog is a list selection dialog that also allows the user to select no as a result.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ui.dialogs.ListSelectionDialog

`ListSelectionDialog.Builder`

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

### Constructor Summary

Constructors
`YesNoCancelListSelectionDialog​(Shell parentShell, Object input, IStructuredContentProvider contentProvider, ILabelProvider labelProvider, String message)` Deprecated. see class comment

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected void` `buttonPressed​(int buttonId)` Deprecated. Notifies that this dialog's button with the given id has been pressed.
`protected void` `configureShell​(Shell shell)` Deprecated. Configures the given shell in preparation for opening this window in it.
`protected void` `createButtonsForButtonBar​(Composite parent)` Deprecated. Adds buttons to this dialog's button bar.
`protected void` `noPressed()` Deprecated. Notifies that the no button of this dialog has been pressed.
`protected void` `yesPressed()` Deprecated. Notifies that the yes button of this dialog has been pressed.

### Methods inherited from class org.eclipse.ui.dialogs.ListSelectionDialog

`createContents, createDialogArea, getCheckboxValue, getViewer, of, okPressed`

### Methods inherited from class org.eclipse.ui.dialogs.SelectionDialog

`createMessageArea, getDialogBoundsSettings, getDialogBoundsStrategy, getInitialElementSelections, getInitialSelections, getMessage, getOkButton, getResult, isResizable, setDialogBoundsSettings, setInitialElementSelections, setInitialSelections, setMessage, setResult, setSelectionResult, setTitle`

### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

`closeTray, createButtonBar, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### YesNoCancelListSelectionDialog

    @Deprecated
    public YesNoCancelListSelectionDialog​(Shell parentShell,
                                          Object input,
                                          IStructuredContentProvider contentProvider,
                                          ILabelProvider labelProvider,
                                          String message)

Deprecated.
see class comment
Create a list selection dialog with a possible Yes/No or Cancel result.

Parameters:
  `parentShell` - the parent shell
  `input` - the root element to populate this dialog with
  `contentProvider` - the content provider for navigating the model
  `labelProvider` - the label provider for displaying model elements
  `message` - the message to be displayed at the top of this dialog, or `null` to display a default message

### Method Detail

#### buttonPressed

    protected void buttonPressed​(int buttonId)

Deprecated.
Description copied from class: `Dialog`
Notifies that this dialog's button with the given id has been pressed.

The `Dialog` implementation of this framework method calls `okPressed` if the ok button is the pressed, and `cancelPressed` if the cancel button is the pressed. All other button presses are ignored. Subclasses may override to handle other buttons, but should call `super.buttonPressed` if the default handling of the ok and cancel buttons is desired.

Overrides:
  `buttonPressed` in class `Dialog`
Parameters:
  `buttonId` - the id of the button that was pressed (see `IDialogConstants.*_ID` constants)

#### configureShell

    protected void configureShell​(Shell shell)

Deprecated.
Description copied from class: `Window`
Configures the given shell in preparation for opening this window in it.

The default implementation of this framework method sets the shell's image and gives it a grid layout. Subclasses may extend or reimplement.

Overrides:
  `configureShell` in class `ListSelectionDialog`
Parameters:
  `shell` - the shell

#### createButtonsForButtonBar

    protected void createButtonsForButtonBar​(Composite parent)

Deprecated.
Description copied from class: `Dialog`
Adds buttons to this dialog's button bar.

The `Dialog` implementation of this framework method adds standard ok and cancel buttons using the `createButton` framework method. These standard buttons will be accessible from `getCancelButton`, and `getOKButton`. Subclasses may override.

Note: The common button order is: {other buttons}, OK, Cancel. On some platforms, `Dialog.initializeBounds()` will move the default button to the right.

Overrides:
  `createButtonsForButtonBar` in class `ListSelectionDialog`
Parameters:
  `parent` - the button bar composite

#### noPressed

    protected void noPressed()

Deprecated.
Notifies that the no button of this dialog has been pressed.

The `Dialog` implementation of this framework method sets this dialog's return code to `IDialogConstants.NO_ID` and closes the dialog. Subclasses may override if desired.

#### yesPressed

    protected void yesPressed()

Deprecated.
Notifies that the yes button of this dialog has been pressed. Do the same as an OK but set the return code to YES_ID instead.